API documentation

Create protection resource

Adds a new asset to monitor. The asset is scanned and monitored according to its type.

POST/v1/protection-resources
POSTCreate protection resource
curl -X POST "https://api.darkradar.com/api/public/v1/protection-resources" \
  -H "x-api-key: $DARKRADAR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"groupId":"64b1f0c2a9e4d21f8c3b9a10","resourceType":"domain","targetValue":"darkradar.com","description":"Ana alan adı"}'
Response

Protection resource created successfully

{
  "success": true,
  "message": "OK",
  "data": {
    "resource": {
      "_id": "507f1f77bcf86cd799439011",
      "firm": "507f1f77bcf86cd799439012",
      "resourceType": "domain",
      "targetValue": "newdomain.com",
      "label": "Secondary Domain",
      "isActive": true,
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    }
  },
  "meta": {
    "timestamp": "2024-02-01T10:30:45.123Z",
    "requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "responseTime": 78
  }
}

Access

Scopeprotection-resources:write
Plan entitlementapi_access

Request body

FieldsValues
groupId · string · requiredGroup the resource belongs to (GET /v1/protection-resources/groups)
resourceType · string · requiredResource type · Values: domain, ip, hwid, email, username, application
targetValue · string · requiredValue to protect
description · string · optionalDescription
isActive · boolean · optionalWhether monitoring is active
thirdPartyInclude · boolean · optionalInclude third-party leaks
matchMode · string · optionalMatch mode · Values: machine, credential
metadata · object · optionalFree-form metadata

Responses

201Protection resource created successfully
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429Rate limit exceeded; retry after a minute

Response limits

Rate limit500 requests per 15 min · per IP

Was this page helpful?